
Redmine - Feature #5275

Show tree of issues instead of a list in Roadmap

2010-04-08 20:52 - Alex Last

Status: New Start date: 2010-04-08

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Roadmap Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Since we have "subtasks" now, it would be better to (optionally) show a tree of issues in the "Roadmap" instead of a list of issues.

Is there an overall design ready how subtasks will affect the user interface in general?

Related issues:

Related to Redmine - Feature #7907: Display Issues in a hierarchy (tree) New 2011-03-17

Has duplicate Redmine - Feature #6979: Roadmap tasks hierarchy Closed 2010-11-25

Has duplicate Redmine - Feature #16026: Roadmap subtask Closed

History

#1 - 2010-12-15 16:53 - Fede Garcia

+1

This is related to #6979

#2 - 2010-12-16 05:42 - Mischa The Evil

- Subject changed from show tasks tree, not list in Roadmap to Show tree of issues instead of a list in Roadmap

- Category changed from UI to Roadmap

#3 - 2011-02-24 05:01 - Ryan Cross

+1

#4 - 2011-03-08 01:01 - Rodrigo Carvalho

+1

#5 - 2011-03-11 16:08 - Sergey  Ratz

+1 please !

#6 - 2011-03-11 16:09 - Sergey  Ratz

Why this ticket is closed?

It should be opened.

#7 - 2011-03-30 20:34 - Ådne Hovda

+1

#8 - 2011-04-08 22:52 - Fardeen GHULAM

+1

#9 - 2011-09-25 11:55 - Ofer Herman

+1

#10 - 2012-02-22 18:09 - Fede Garcia

Is there any plan to implement this request?

Are there plugins (compatible with the latest version of redmine) providing this feature?

Cheers
https://www.redmine.org/issues/6979


#11 - 2012-02-23 12:39 - Daniel Albuschat

This is in some way related to #7907. IMHO, the ticket list in the Roadmap should be replaced by - or at least made more similar to - the "normal"

ticket list.

#12 - 2012-02-28 08:40 - Stéphane Thomas

+1

#13 - 2012-11-09 01:18 - Josh Hansen

+1

#14 - 2014-02-19 23:23 - Yamuna Vee

+1

#15 - 2014-06-26 12:05 - MengYu Lu

+1

#16 - 2014-10-09 16:53 - Ben Flaumenhaft

See here as well --

See http://www.redmine.org/projects/redmine/wiki/HowTo_TreeQuery

#17 - 2014-11-08 09:00 - Toshi MARUYAMA

- Related to Feature #7907: Display Issues in a hierarchy (tree) added

#18 - 2015-12-17 08:48 - Ian H

+1 current layout nonsensical

#19 - 2018-11-08 02:42 - Mizuki ISHIKAWA

- File change_roadmap_issues_to_tree_structure.patch added

- File roadmap.png added

- File before_change.png added

I propose to change the order of issues in the roadmap in ascending order of Parent task.

The result of applying the patch:

 roadmap.png 

before change:

 before_change.png 

#20 - 2018-11-08 08:02 - Go MAEDA

Currently, issues on the Roadmap page are sorted by tracker_id. You can see an example on https://www.redmine.org/projects/redmine/roadmap. As

a committer of Redmine, the order is convenient. This is the similar order with the Changelog.

But the patch change_roadmap_issues_to_tree_structure.patch sorts issues by issues.id. I don't like the order.

#21 - 2019-02-03 05:10 - Go MAEDA

- Has duplicate Feature #16026: Roadmap subtask added

#22 - 2019-02-13 20:30 - Jeremy D

I applied the patch provided in #5275-19 and found it extremely helpful. It's not clear to me why it would be a desirable behavior to order by issue

number; the order in which an issue is created (and thereby receives a number) has no necessary and sufficient bearing on due date nor relationships

with other trackers, which seem like defining characteristics of a roadmap.

A cursory google search seems to indicate that this is a highly requested feature, and Mizuki ISHIKAWA's solution seems to work. Thanks very much.

#23 - 2020-07-22 16:31 - Klaus Adler

+1

It would be great to have it.
#24 - 2023-07-20 01:06 - David L

+1 This would be extremely helpful!

I'm not sure how much the sorting matters but can we get a patch that keeps the default tracker_id sorting?

#25 - 2023-07-20 01:14 - David L

Mizuki ISHIKAWA Can you change the default sort of the patch? Is there a help page that could tell me how to apply the patch to a Docker

deployment?

#26 - 2023-07-25 02:00 - Mizuki ISHIKAWA

David L wrote in #note-24:

+1 This would be extremely helpful!

I'm not sure how much the sorting matters but can we get a patch that keeps the default tracker_id sorting?

 For the same reasons as 10048, it is difficult to achieve a parent-child structure and other orders at the same time, IMO.

Sorry I can't help you.

David L wrote in #note-25:

Mizuki ISHIKAWA Can you change the default sort of the patch? Is there a help page that could tell me how to apply the patch to a Docker

deployment?

 This is an old patch and I would not recommend applying it. There is also a risk that if it does work, it is likely to stop working with future versions.

General patching procedures: Patch

Files

change_roadmap_issues_to_tree_structure.patch 4.88 KB 2018-11-08 Mizuki ISHIKAWA

before_change.png 63.5 KB 2018-11-08 Mizuki ISHIKAWA

roadmap.png 126 KB 2018-11-08 Mizuki ISHIKAWA
